How to get FTX / ORBX products working in P3D v4

6

in our performance review for P3D v4 we used ‘regedit’ in order to point the ORBX installer to P3D v4, thinking it was v3. this got the scenery installed, but ORBX have just released their update for FTX central to make it compatible with v4, this means that installation is much more straightforward

the post reads…

Hi all,

As promised all FTX products deemed compatible with P3D v4 will be available at no extra upgrade cost to customers. We all know that people will be super keen and excited to get their FTX addons as quickly as possible into v4, but there will be some that are not quite ready and exceptions. Please take the time to read the following.

Firstly, you will need FTX Central 3. Installing into P3Dv4 will not be available with older versions of FTX Central or other installers, sorry but we won’t be making changes there.

We will push out an update to FTX Central 3.2.x.x hopefully tomorrow and when you run it you will see the Apply Update button:

WOkO.jpg

FTX Central will re-start and depending on which simulators you have installed, you will be asked to select one. The most important change here is that if Prepar3D v4 is installed, it will be detected and available to select:

n800.jpg

And you’ll see a splash screen appear confirming you have the latest FTXC and the new features:

0q8g.jpg

Even though we would have liked to have 100% of our products ready as of day one, unfortunately there will be some that are not ready due to compatibility limitations or no further development.

The following payware products will be ready as soon as P3Dv4 is released.

  • Orbxlibs
  • Global Base Pack
  • openLC North America and Europe
  • All Regions*

With regards to our airports and as you may be aware of, our ObjectFlow DLL requires reworking to ensure compatibility with the P3Dv4. This work has been progressing but as we are moving to a 64bit application, this has taken longer than anticipated. For this reason we will not be making our airports available until we have a working ObjectFlow DLL. As you know this DLL controls a lot of our scenery elements with conditional displays and is quite critical.

This may prove to be an unpopular decision, but considering that 99% of our airports use ObjectFlow, if we made available these airports we would end up with unnecessary support issues (why is my windsock not working/where’s the buildings) as well as potentially annoying some first time buyers (what do you mean its not ready, it says P3Dv4 on the product page!).

I trust that our decision to delay the airports can be respected. And please don’t ask when it will be ready, we are as impatient as you to have it done.

What else won’t work:

FTX Vector also relies on a 3rd party app to adjust airports, and we are waiting on a 64-bit version of this app before making Vector available.

The Lancair, Victa and Vans RV4 will not be made available for P3Dv4 as we are not satisfied with their compatibility. This will most likely not change due to the developers no longer being active with them.

The Aero tool will not work. A new tool will be developed in the future to replace it.

Some installation tips

1. If you have P3Dv3 already installed with Orbx products

Installing into P3Dv4 with FTXC3 will be made easier if you have P3Dv3 already installed with FTX addons. For starters you will require Version 3.2.0.2 of FTX Central so please ensure you allow it to update itself when running (see above). Also ensure that “Only show products that I have installed” option is not ticked under “Settings”. That way when starting FTXC3 and selecting P3Dv4 as your simulator, you will see which of your purchased products are ready to install into P3Dv4.

We recommend leaving your P3Dv3 install in place so FTXC3 can simply copy files to your P3Dv4 installation without the need to download files again.

If you have manual download zip files already saved, or FTXC3 backups of installs, you can use FTXC3 to point to these and install into P3Dv4 from there.

2. If you have FSX or FSX:SE installed but don’t have Prepar3D installed

If you have decided to make the move from FSX to P3Dv4 and *dont* have earlier versions of P3D installed you must download all the Orbx products which are P3Dv4-ready using FTX Central. Your products installed into FSX cannot be copied to P3Dv4 – they are different builds and not compatible.

3. Please do not manually move Orbx files and folders over to P3Dv4.

*Southern Alaska and NZ North Island makes use of ObjectFlow for some scenery elements, but we have made them available regardless.

Welcome to take on questions.

6 COMMENTS

  1. Re:
    Installing into P3Dv4 with FTXC3 will be made easier if you have P3Dv3 already installed with FTX addons. For starters you will require Version 3.2.0.2 of FTX Central so please ensure you allow it to update itself when running (see above). Also ensure that “Only show products that I have installed” option is not ticked under “Settings”. That way when starting FTXC3 and selecting P3Dv4 as your simulator, you will see which of your purchased products are ready to install into P3Dv4.”

    So now I have duplicated the precious SSD space required to have BOTH P3Dv3 AND P3D V4 running with Orbix Scenery??

    Thanks,
    Chas

  2. My only problem with moving across is the fact that i have re-buy the PMDG products all over again. That’s a lot of wasted dollars if you ask me.

  3. I have downloaded and installed Global and EU_Scotland. I had first previously had it for FSX and P3d v.3. however, the installs have never worked, and this is also the case on V4. I have FTX Central 3 version 3.2.1.1. Starting to lose it a bit now as this should be a simple install procedure.

  4. I have downloaded and installed Global and EU_Scotland. I had first previously had it for FSX and P3d v.3. however, the installs have never worked, and this is also the case on V4. I have FTX Central 3 version 3.2.1.1. Starting to lose it a bit now as this should be a simple install procedure.

  5. I have downloaded and installed Global and EU_Scotland. I had first previously had it for FSX and P3d v.3. however, the installs have never worked, and this is also the case on V4. I have FTX Central 3 version 3.2.1.1. Starting to lose it a bit now as this should be a simple install procedure.

Leave a Reply